function dconcs = MMkin(~,concs,k1,kr1,kcat)
% Calculate the change in concentration of Efree, ES, S, and P
% Returns the change in each concentration
% Jason Kahn U Maryland 2/25/2016  version 1.01
% These deltas are integrated in the calling program. 
% Assumes initial rate conditions -- no product inhibition
dconcs = zeros(4,1);
dconcs(1) = -k1*concs(1)*concs(3) + kr1*concs(2) + kcat*concs(2);
dconcs(2) = k1*concs(1)*concs(3) - kr1*concs(2) - kcat*concs(2);
dconcs(3) = -k1*concs(1)*concs(3) + kr1*concs(2);
dconcs(4) = kcat*concs(2);
end